<?php

namespace helpers;

use Exception;
use objects\products_o;

class xlvask_parser_chassisskylning extends xlvask_product_parser
{
    use xlvask_product_parser_t;

    public function __construct()
    {
        $this->setup('Chassisskylning');
    }


    /**
     * @inheritDoc
     * @throws Exception
     */
    protected function parse(xlvask_wash_item $wash_item, xlvask_usage_log $xlvask_usage_log): products_o
    {
        // For some reason, in XLVask the some products have different names,
        // This is a workaround to handle that case. (Since the functionality is exactly the same as // xlvask_parser_skylning_med_ro)
        return (new xlvask_parser_skylning_med_ro())->parseProduct(...func_get_args());
    }
}